### Signal

# Gtk DropTargetAsync::drag-enter

#### Declaration

    GdkDragAction
    drag_enter (
      GtkDropTargetAsync* self,
      GdkDrop* drop,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted on the drop site when the pointer enters the widget.

It can be used to set up custom highlighting.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`drop`

  Type: `GdkDrop`

  The `GdkDrop`.

  The data is owned by the caller of the function.

`x`

  Type: `gdouble`

  The x coordinate of the current pointer position.

`y`

  Type: `gdouble`

  The y coordinate of the current pointer position.

#### Return value

Type: `GdkDragAction`

Preferred action for this drag operation.